/* $Id: inclued_zend.h,v 1.2 2007/05/03 13:42:38 gopalv Exp $ */

#ifndef PHP_INCLUED_ZEND_H
#define PHP_INCLUED_ZEND_H

#include "php.h"
#include "zend.h"
#include "zend_API.h"
#include "zend_compile.h"
#include "zend_hash.h"
#include "zend_extensions.h"

#if ZEND_MODULE_API_NO > 20050922
#define ZEND_ENGINE_2_2
#endif
#if ZEND_MODULE_API_NO > 20050921
#define ZEND_ENGINE_2_1
#endif
#ifdef ZEND_ENGINE_2_1
#include "zend_vm.h"
#endif

#ifndef ZEND_VM_KIND_CALL /* Not currently defined by any ZE version */
# define ZEND_VM_KIND_CALL	1
#endif

#ifndef ZEND_VM_KIND /* Indicates PHP < 5.1 */
# define ZEND_VM_KIND	ZEND_VM_KIND_CALL
#endif

#if !defined(ZEND_ENGINE_2_1)
#error "Zend Engine2 (php 5.1 or greater) is required to use this extension"
#endif

#if (ZEND_VM_KIND != ZEND_VM_KIND_CALL)
#error "Features only available to Call dispatch VM cores (should be default)"
#endif

void inclued_zend_init(TSRMLS_D);

#endif /* PHP_INCLUED_ZEND_H */
